/*! 
	\file deux.h
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 06/01/23
	\brief Partie 3 de la SAE 1.02

	Application de gestion des candidature dans les IUT de France
*/

//FONCTIONS ET DOCUMENTATION

void calculerNoteGlobale(ListeCandidats liste, int nbCandidats);

void afficherCandidaturesByDept(ListeCandidats liste, int nbCandidats, char* searchIUT, char* searchDept);

void merge(ListeCandidats liste, int start, int middle, int end);
void triDichotomiqueFusion(ListeCandidats liste, int start, int end);

void afficherCandidatTraite(Candidat candidat);
void traiterCandidatures(VilleIUT** tiut, int nbVilles, ListeCandidats liste, int nbCandidats, int nbCandidatsAccept, float noteMini);